com.taosdata.jdbc.tmq

## Class ConsumerRecord.Builder<V>

- java.lang.Object
- - com.taosdata.jdbc.tmq.ConsumerRecord.Builder<V>

Enclosing class:
  ConsumerRecord<V>

    public static class ConsumerRecord.Builder<V>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConsumerRecord<V>` `build()`
`ConsumerRecord.Builder<V>` `dbName(String dbName)`
`ConsumerRecord.Builder<V>` `messageType(TmqMessageType messageType)`
`ConsumerRecord.Builder<V>` `meta(Meta meta)`
`ConsumerRecord.Builder<V>` `offset(long offset)`
`ConsumerRecord.Builder<V>` `topic(String topic)`
`ConsumerRecord.Builder<V>` `value(V value)`
`ConsumerRecord.Builder<V>` `vGroupId(int vGroupId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### topic

    public ConsumerRecord.Builder<V> topic(String topic)

#### dbName

    public ConsumerRecord.Builder<V> dbName(String dbName)

#### vGroupId

    public ConsumerRecord.Builder<V> vGroupId(int vGroupId)

#### offset

    public ConsumerRecord.Builder<V> offset(long offset)

#### messageType

    public ConsumerRecord.Builder<V> messageType(TmqMessageType messageType)

#### meta

    public ConsumerRecord.Builder<V> meta(Meta meta)

#### value

    public ConsumerRecord.Builder<V> value(V value)

#### build

    public ConsumerRecord<V> build()